drop view teilnehmer_v1;

CREATE VIEW TEILNEHMER_V1 (BEWERB_ID, SCHUETZEN_NR, TEILNEHMER_ID, SCHUETZEN_ID, ZUNAME, VORNAME, GEB_DATUM, KLASSE_BEZEICHNUNG, SCHUSS, DISZIPLIN, VEREIN_BEZEICHNUNG, SCHEIBE_VON, SCHEIBE_BIS, KLASSE, TURNIERKLASSEN_ID, KLASSEN_ID, VEREIN_ID, MANNSCHAFT_ID, ZUSCHLAG, FINALE, NATION, PLZ, ORT, ANREDE, STRASSE, GESCHLECHT)
AS   
select t.BEWERB_ID,
       t.schuetzen_nr,
       t.teilnehmer_id,
       s.schuetzen_id,
       s.zuname,
       s.vorname,
       s.geb_datum,
       k.bezeichnung as klasse_bezeichnung,
       tk.schuss as schuss,
       tk.disziplin as disziplin,
       v.bezeichnung as verein_bezeichnung,
       t.SCHEIBE_VON,
       t.SCHEIBE_BIS,
       k.bezeichnung||' '||tk.disziplin||' '||tk.schuss as klasse,
       t.TURNIERKLASSEN_ID,
       k.klassen_id,
       t.verein_id,
       t.mannschaft_id,
       t.zuschlag,
       t.finale,
       o.nation,       
       o.plz,
       o.bezeichnung as ort,
       text as anrede,
       strasse,
	   a.geschlecht
from VEREINE v, klassen k, turnierklassen tk, teilnehmer t, SCHUETZEN s
left outer join orte o on o.orte_id = s.orte_id
left outer join anrede a on a.anrede_id = s.anrede_id
where t.bewerb_id = tk.bewerb_id
and t.TURNIERKLASSEN_ID = tk.TURNIERKLASSEN_ID
and k.klassen_id = tk.klassen_id
and t.verein_id = v.verein_id
and s.SCHUETZEN_ID = t.SCHUETZEN_ID;


ALTER TABLE BEWERB ADD 
DISAG_EXPORT Integer;




UPDATE KONFIG
   SET WERT = '13'
 WHERE PC = '$$GLOBAL$$'
   AND VAR = 'LAST_SQL';
   
COMMIT WORK;	
